  <mat-sidenav-container class="sidenav-container">
  <mat-sidenav
    #drawer
    class="sidenav"
    fixedInViewport="true"
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="(isHandset$ | async)">
    <mat-toolbar color="primary">Menu</mat-toolbar>
    <mat-nav-list>
      <a mat-list-item [routerLink]="['/scheduleStatuses']">Tipos de Status Eventos </a>
      <a mat-list-item [routerLink]="['/scheduleEvents']">Tipos de Eventos  </a>
      <a mat-list-item [routerLink]="['/roles']">Roles de Usuario </a>
      <a mat-list-item [routerLink]="['/users']">Usuarios </a>

    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">

      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
       >
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>Medical Market Places</span>

      <button mat-icon-button type="button">
        <mat-icon>exit_app</mat-icon> End Session
      </button>

    </mat-toolbar>
    <!-- Add Content Here -->
    <div class="content">
        <ng-content></ng-content>
    </div>

  </mat-sidenav-content>
</mat-sidenav-container>
